Name: xml-commons-resolver
Version: 1.1
Release: alt2

Summary: Apache XML Commons Resolver
Group: Development/Java
License: Apache Software License
Url: http://xml.apache.org/commons/

Source: http://xml.apache.org/dist/commons/%{name}-%{version}.tar.gz
Source1: xml-commons-resolver-build.properties

BuildArch: noarch
AutoProv: yes, nolib

BuildRequires: j2se1.4-sun-devel, ant
Requires: java-common >= 1.0-alt3, j2se >= 1.4.2, xml-commons-apis, xerces-j >= 2.6.0-alt1

%description
The  classes  in this package implement the full semantics of [1]OASIS
Technical Resolution 9401:1997 (Amendment 2 to TR 9401) catalogs. Also
included  are a framework of classes designed to read catalog files in
a number of formats.
It also includes a framework of classes designed to read catalog files
in a number of formats:
1. The plain-text flavor described by TR9401.
2. The XCatalog XML format defined by John Cowan
3. The  XML  Catalog format defined by the OASIS Entity Resolution
   Technical Committee.
			       
%package javadoc
Summary: Javadoc for XML Commons Resolver
Group: Development/Java
Requires: java-common >= 1.0-alt3

%description javadoc
Javadoc documentation for XML Commons Resolver.

%prep
%setup -q
%__cp %{SOURCE1} build.properties

%build
ANT_OPTS="-Xint";export ANT_OPTS
ant -f resolver.xml jar javadocs

%install

%__mkdir_p %buildroot%_datadir/java
%__mkdir_p %buildroot%_datadir/javadoc/%name-%version
%__mkdir_p %buildroot%_docdir/%name-%version

%__install -m644 build/resolver.jar %buildroot%_datadir/java/
%__cp -r build/apidocs/resolver/* %buildroot%_datadir/javadoc/%name-%version/
%__cp docs/*.html %buildroot%_docdir/%name-%version/

%files
%_datadir/java/*
%_docdir/%name-%version

%files javadoc
%_datadir/javadoc/%name-%version

%changelog
* Mon Mar 29 2004 Alexey Borovskoy <alb@altlinux.ru> 1.1-alt2
- Add -Xint option to java startup parameters for prevent crashing
  in hasher build environment

* Sat Mar 20 2004 Alexey Borovskoy <alb@altlinux.ru> 1.1-alt1
- First build for ALT Linux

